<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <Button
        android:id="@+id/btn"
        android:text="计算"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <View
        android:id="@+id/v1"
        android:visibility="gone"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:background="@color/xui_config_color_red" />

    <com.xunao.effectdemo.view.MyView
        android:id="@+id/my_view"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <com.xunao.effectdemo.view.MaskFilterView
        android:id="@+id/mask"
        android:visibility="gone"
        android:layout_width="160dp"
        android:layout_height="160dp"
        android:layout_alignParentRight="true" />

    <RelativeLayout
        android:orientation="horizontal"
        android:layout_centerInParent="true"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        >
        <!--从这开始-->
        <!--每个可拖拽的组件要放在一个容器组件里-->
        <!--容器组件-->
        <RelativeLayout
            android:id="@+id/view_1"
            android:layout_width="100dp"
            android:layout_height="80dp"
            android:background="@android:color/holo_red_dark"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="aaa" />
        </RelativeLayout>
        <LinearLayout
            android:layout_marginTop="100dp"
            android:id="@+id/view1_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:orientation="vertical">

            <!--可拖拽的组件-->
            <LinearLayout
                android:id="@+id/view1"
                android:layout_width="100dp"
                android:layout_height="160dp"
                android:background="@android:color/holo_green_dark"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="aaa" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/view_2"
            android:layout_marginLeft="110dp"
            android:layout_width="100dp"
            android:layout_height="80dp"
            android:background="@android:color/holo_green_dark"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="bbb"/>
        </LinearLayout>

        <!--容器组件-->
        <LinearLayout
            android:id="@+id/view2_container"
            android:layout_marginLeft="110dp"
            android:layout_marginTop="100dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <!--可拖拽组件-->
            <LinearLayout
                android:id="@+id/view2"
                android:layout_width="100dp"
                android:layout_height="160dp"
                android:background="@android:color/holo_orange_dark"
                android:orientation="vertical">
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/view_3"
            android:layout_width="100dp"
            android:layout_height="80dp"
            android:layout_marginLeft="220dp"
            android:background="@android:color/holo_red_dark"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="ccc" />
        </LinearLayout>

        <!--容器组件-->
        <LinearLayout
            android:id="@+id/view3_container"
            android:layout_marginLeft="220dp"
            android:layout_marginTop="100dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <!--可拖拽的组件-->
            <LinearLayout
                android:id="@+id/view3"
                android:layout_width="100dp"
                android:layout_height="160dp"
                android:background="@android:color/holo_blue_dark"
                android:orientation="vertical">
            </LinearLayout>
        </LinearLayout>


        <LinearLayout
            android:id="@+id/view_4"
            android:layout_width="100dp"
            android:layout_height="80dp"
            android:layout_marginLeft="330dp"
            android:background="@android:color/holo_red_dark"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="ccc" />
        </LinearLayout>

        <!--容器组件-->
        <LinearLayout
            android:id="@+id/view4_container"
            android:layout_marginLeft="330dp"
            android:layout_marginTop="100dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <!--可拖拽的组件-->
            <LinearLayout
                android:id="@+id/view4"
                android:layout_width="100dp"
                android:layout_height="160dp"
                android:background="@android:color/holo_blue_dark"
                android:orientation="vertical">
            </LinearLayout>
        </LinearLayout>

    </RelativeLayout>

</RelativeLayout>